org.icefaces.ace.component.dynamicresource

## Class DynamicResourceBase

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.icefaces.ace.component.dynamicresource.DynamicResourceBase

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, IDynamicResource
  Direct Known Subclasses:
    DynamicResource

      public abstract class DynamicResourceBase
      extends javax.faces.component.UIComponentBase
      implements IDynamicResource

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `protected static class` | `DynamicResourceBase.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DynamicResourceBase()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()` Return the value of the `accesskey` property.
    `java.lang.String` | `getFamily()`
    `java.lang.String` | `getFileName()` Return the value of the `fileName` property.
    `java.lang.String` | `getImage()` Return the value of the `image` property.
    `java.lang.String` | `getLabel()` Return the value of the `label` property.
    `java.util.Date` | `getLastModified()` Return the value of the `lastModified` property.
    `java.lang.String` | `getMimeType()` Return the value of the `mimeType` property.
    `javax.faces.application.Resource` | `getResource()` Return the value of the `resource` property.
    `java.lang.String` | `getScope()` Return the value of the `scope` property.
    `java.lang.String` | `getStyle()` Return the value of the `style` property.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `java.lang.String` | `getTarget()` Return the value of the `target` property.
    `java.lang.String` | `getType()` Return the value of the `type` property.
    `boolean` | `isAttachment()` Return the value of the `attachment` property.
    `boolean` | `isDisabled()` Return the value of the `disabled` property.
    `protected boolean` | `isPropertySet(java.lang.String finder)`
    `void` | `setAccesskey(java.lang.String accesskey)` Set the value of the `accesskey` property.
    `void` | `setAttachment(boolean attachment)` Set the value of the `attachment` property.
    `void` | `setDisabled(boolean disabled)` Set the value of the `disabled` property.
    `void` | `setFileName(java.lang.String fileName)` Set the value of the `fileName` property.
    `void` | `setImage(java.lang.String image)` Set the value of the `image` property.
    `void` | `setLabel(java.lang.String label)` Set the value of the `label` property.
    `void` | `setLastModified(java.util.Date lastModified)` Set the value of the `lastModified` property.
    `void` | `setMimeType(java.lang.String mimeType)` Set the value of the `mimeType` property.
    `void` | `setResource(javax.faces.application.Resource resource)` Set the value of the `resource` property.
    `void` | `setScope(java.lang.String scope)` Set the value of the `scope` property.
    `void` | `setStyle(java.lang.String style)` Set the value of the `style` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.
    `void` | `setTarget(java.lang.String target)` Set the value of the `target` property.
    `void` | `setType(java.lang.String type)` Set the value of the `type` property.
    `void` | `setValueExpression(java.lang.String name, javax.el.ValueExpression binding)`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### RENDERER_TYPE

          public static final java.lang.String RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DynamicResourceBase

          public DynamicResourceBase()

  - ### Method Detail

    - #### getFamily

          public java.lang.String getFamily()

      Specified by:
        `getFamily` in class `javax.faces.component.UIComponent`

    - #### setAccesskey

          public void setAccesskey(java.lang.String accesskey)

      Set the value of the `accesskey` property.

      Contents: Access key that, when pressed, activates this component.

      Specified by:
        `setAccesskey` in interface `IDynamicResource`

    - #### getAccesskey

          public java.lang.String getAccesskey()

      Return the value of the `accesskey` property.

      Contents: Access key that, when pressed, activates this component.

      Specified by:
        `getAccesskey` in interface `IDynamicResource`

    - #### setAttachment

          public void setAttachment(boolean attachment)

      Set the value of the `attachment` property.

      Contents: (Deprecated) Setting the fileName attribute will cause the file to be downloaded as an attachment, instead of loading it right in the browser.

      Specified by:
        `setAttachment` in interface `IDynamicResource`

    - #### isAttachment

          public boolean isAttachment()

      Return the value of the `attachment` property.

      Contents: (Deprecated) Setting the fileName attribute will cause the file to be downloaded as an attachment, instead of loading it right in the browser.

      Specified by:
        `isAttachment` in interface `IDynamicResource`

    - #### setDisabled

          public void setDisabled(boolean disabled)

      Set the value of the `disabled` property.

      Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit.

      Specified by:
        `setDisabled` in interface `IDynamicResource`

    - #### isDisabled

          public boolean isDisabled()

      Return the value of the `disabled` property.

      Contents: Flag indicating that this element must never receive focus or be included in a subsequent submit.

      Specified by:
        `isDisabled` in interface `IDynamicResource`

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Set the value of the `fileName` property.

      Contents: The file name to be used for the attachment header. If the label is not specified the file name will be used. See also the resource attribute. Note: a specific file name only works if the file is downloaded as an attachment. Setting this attribute to anything but null will cause the file to be downloaded as an attachment, instead of being loaded right in the browser.

      Specified by:
        `setFileName` in interface `IDynamicResource`

    - #### getFileName

          public java.lang.String getFileName()

      Return the value of the `fileName` property.

      Contents: The file name to be used for the attachment header. If the label is not specified the file name will be used. See also the resource attribute. Note: a specific file name only works if the file is downloaded as an attachment. Setting this attribute to anything but null will cause the file to be downloaded as an attachment, instead of being loaded right in the browser.

      Specified by:
        `getFileName` in interface `IDynamicResource`

    - #### setImage

          public void setImage(java.lang.String image)

      Set the value of the `image` property.

      Contents: The image path that will be used to display an image for link instead of text.

      Specified by:
        `setImage` in interface `IDynamicResource`

    - #### getImage

          public java.lang.String getImage()

      Return the value of the `image` property.

      Contents: The image path that will be used to display an image for link instead of text.

      Specified by:
        `getImage` in interface `IDynamicResource`

    - #### setLabel

          public void setLabel(java.lang.String label)

      Set the value of the `label` property.

      Contents: The label to be displayed for the resource. The label will be used for the text of the link or button. If an image is used, the label will be used as the alt attribute value of the image element.

      Specified by:
        `setLabel` in interface `IDynamicResource`

    - #### getLabel

          public java.lang.String getLabel()

      Return the value of the `label` property.

      Contents: The label to be displayed for the resource. The label will be used for the text of the link or button. If an image is used, the label will be used as the alt attribute value of the image element.

      Specified by:
        `getLabel` in interface `IDynamicResource`

    - #### setLastModified

          public void setLastModified(java.util.Date lastModified)

      Set the value of the `lastModified` property.

      Contents: The java.util.Data object specifying the last modified header that will be sent to the browser for this resource. See also the resource attribute.

      Specified by:
        `setLastModified` in interface `IDynamicResource`

    - #### getLastModified

          public java.util.Date getLastModified()

      Return the value of the `lastModified` property.

      Contents: The java.util.Data object specifying the last modified header that will be sent to the browser for this resource. See also the resource attribute.

      Specified by:
        `getLastModified` in interface `IDynamicResource`

    - #### setMimeType

          public void setMimeType(java.lang.String mimeType)

      Set the value of the `mimeType` property.

      Contents: The mime-type for the resource. If not specified, and available from the backing Resource, the Resource's mime-type will be used. See also the resource attribute.

      Specified by:
        `setMimeType` in interface `IDynamicResource`

    - #### getMimeType

          public java.lang.String getMimeType()

      Return the value of the `mimeType` property.

      Contents: The mime-type for the resource. If not specified, and available from the backing Resource, the Resource's mime-type will be used. See also the resource attribute.

      Specified by:
        `getMimeType` in interface `IDynamicResource`

    - #### setResource

          public void setResource(javax.faces.application.Resource resource)

      Set the value of the `resource` property.

      Contents: The object of type javax.faces.application.Resource that will be used.

      Specified by:
        `setResource` in interface `IDynamicResource`

    - #### getResource

          public javax.faces.application.Resource getResource()

      Return the value of the `resource` property.

      Contents: The object of type javax.faces.application.Resource that will be used.

      Specified by:
        `getResource` in interface `IDynamicResource`

    - #### setScope

          public void setScope(java.lang.String scope)

      Set the value of the `scope` property.

      Contents: The scope in which the resource will be stored. The values can be 'view', window', 'session', and 'application'. When not specified the 'session' scope is used.

      Specified by:
        `setScope` in interface `IDynamicResource`

    - #### getScope

          public java.lang.String getScope()

      Return the value of the `scope` property.

      Contents: The scope in which the resource will be stored. The values can be 'view', window', 'session', and 'application'. When not specified the 'session' scope is used.

      Specified by:
        `getScope` in interface `IDynamicResource`

    - #### setStyle

          public void setStyle(java.lang.String style)

      Set the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `setStyle` in interface `IDynamicResource`

    - #### getStyle

          public java.lang.String getStyle()

      Return the value of the `style` property.

      Contents: Custom inline CSS styles to use for this component. These styles are generally applied to the root DOM element of the component. This is intended for per-component basic style customizations. Note that due to browser CSS precedence rules, CSS rendered on a DOM element will take precedence over the external stylesheets used to provide the ThemeRoller theme on this component. If the CSS properties applied with this attribute do not affect the DOM element you want to style, you may need to create a custom theme styleClass for the theme CSS class that targets the particular DOM elements you wish to customize.

      Specified by:
        `getStyle` in interface `IDynamicResource`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `setStyleClass` in interface `IDynamicResource`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Contents: Custom CSS style class(es) to use for this component. These style classes can be defined in your page or in a theme CSS file.

      Specified by:
        `getStyleClass` in interface `IDynamicResource`

    - #### setTarget

          public void setTarget(java.lang.String target)

      Set the value of the `target` property.

      Contents: Value of the target attribute when resource is rendered as a link. Default is "_blank".

      Specified by:
        `setTarget` in interface `IDynamicResource`

    - #### getTarget

          public java.lang.String getTarget()

      Return the value of the `target` property.

      Contents: Value of the target attribute when resource is rendered as a link. Default is "_blank".

      Specified by:
        `getTarget` in interface `IDynamicResource`

    - #### setType

          public void setType(java.lang.String type)

      Set the value of the `type` property.

      Contents: The type of link to render: link (default) image: renders a link with an image (must be used with the image attribute) button: renders a button with the text from value

      Specified by:
        `setType` in interface `IDynamicResource`

    - #### getType

          public java.lang.String getType()

      Return the value of the `type` property.

      Contents: The type of link to render: link (default) image: renders a link with an image (must be used with the image attribute) button: renders a button with the text from value

      Specified by:
        `getType` in interface `IDynamicResource`

    - #### isPropertySet

          protected boolean isPropertySet(java.lang.String finder)

    - #### setValueExpression

          public void setValueExpression(java.lang.String name,
                                         javax.el.ValueExpression binding)

      Overrides:
        `setValueExpression` in class `javax.faces.component.UIComponent`

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.